AurionAI Docs

Update Ai Automation Settings

Update the unified AI automation configuration (partial patch).

PUT
/api/ai-automation/settings

Update the unified AI automation configuration (partial patch).

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/ai-automation/settings" \  -H "Content-Type: application/json" \  -d '{}'
{
  "classification": {
    "auto_apply_fields": [
      "category"
    ],
    "auto_apply_threshold": 0.85,
    "category_descriptions": {
      "property1": "string",
      "property2": "string"
    },
    "classify_on": [
      "conversation.created"
    ],
    "enabled": false,
    "exclude_channels": [
      "string"
    ],
    "reclassify_on_reply": true,
    "suggest_threshold": 0.5
  },
  "resolution": {
    "auto_resolve_categories": [
      "string"
    ],
    "auto_resolve_threshold": 0.92,
    "cooldown_seconds": 0,
    "daily_limit": 0,
    "enabled": false,
    "exclude_attachments": true,
    "exclude_high_priority": true,
    "exclude_negative_sentiment": true,
    "exclude_vip": true,
    "kb_match_threshold": 0.9,
    "max_auto_resolve_attempts": 2,
    "mode": "suggest",
    "reply_coherence_threshold": 0.8
  },
  "routing": {
    "ai_skill_matching_enabled": false,
    "drop_optional_skills_on_timeout": true,
    "enabled": false,
    "fallback_to_team_pool": true,
    "route_on_first_classification_only": true,
    "skills_timeout_seconds": 300
  },
  "updated_at": "string",
  "version": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}